"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b100>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b1a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b240>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b2e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b380>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b420>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b4c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b560>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b600>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b6a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b740>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b7e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b880>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b920>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647b9c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647ba60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647bb00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647bba0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647bc40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647bce0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647bd80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647be20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647bec0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fc67647bf60>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc040>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc0e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc180>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc220>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc2c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc360>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc400>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc4a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc540>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc5e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc680>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc720>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc7c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc860>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc900>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cc9a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cca40>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ccae0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ccb80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ccc20>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cccc0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ccd60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cce00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ccea0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ccf40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ccfe0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd080>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd120>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd1c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd260>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd300>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd3a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd440>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd4e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd580>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd620>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd6c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd760>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd800>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd8a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd940>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cd9e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cda80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cdb20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cdbc0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cdc60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cdd00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cdda0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cde40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cdee0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764cdf80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce020>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce0c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce160>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce200>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce2a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce3e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce340>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce480>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce520>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fc6764ce5c0>)]
name: str = 'fr_HOCCN'
